Update Phone by token

Sends a verification OTP to the provided Phone number as part of the process to update the Phone number used for MFA.

PUT
/identity/v2/auth/account/2fa/sms/phone

Sends a verification OTP to the provided Phone number as part of the process to update the Phone number used for MFA.

Authorization

BearerToken APIKey
AuthorizationBearer <token>

Bearer token for user authentication

In: header

apikey<token>

Tenant API Key for authentication

In: query

Query Parameters

smstemplate2fa?string

SMS template name to be used for sending the 2FA code to the User.

isvoiceotp?boolean

Boolean flag to enforce sending SMS content via Voice.

access_token?string

Access Token of the User

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

phoneno2fa*string

The Phone number of the User.

Response Body

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/identity/v2/auth/account/2fa/sms/phone?smstemplate2fa=SMS-Template&isvoiceotp=true&access_token=493318dd-487a-439b-8302-5e27f1110244" \  -H "Content-Type: application/json" \  -d '{    "phoneno2fa": "+1234567890",    "description": "This model is used in changing the Phone number."  }'
{
  "AccountSid": "ACXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "Sid": "SMXXXXXXXXXXXXXXXX"
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly",
  "Description": "The apikey is a required parameter."
}

{
  "ErrorCode": 6003,
  "Message": "Trial plan expired",
  "Description": "The trial plan has expired. To continue using the service, please contact support."
}